<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLInteger.php" );
include_once( "../include/class.SQLString.php" );
include_once("auth.php");

$timestamp = time();

if ($transferieren != "ja") {

$fehlertext = ltext("anku3_error1");
$fehlertitel = "Hinweis:";
include("anbieter_kundenzuordnung.php");
exit();

}

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

# checken ob zielanbieter existiert und noch kunden anlegen darf
$id = safe_query( "select anbieter, maxkunden, maxkundenlimit from anbieter where anbieter = ? ", TRUE, new SQLString( $zielanbieter ) );
if (db_num_rows($id) < 1)
	{
	 $fehlertext = ltext("anku3_error2");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
$werte = db_fetch_array($id);
$maxkunden = $werte["maxkunden"];
$maxkundenlimit = $werte["maxkundenlimit"];
# /checken ob zielanbieter existiert und noch kunden anlegen darf

# checken ziel- oder quellanbieter gesperrt sind
$id1 = safe_query( "select anbieter from anbieter where anbieter = ?  and gesperrt='1'", TRUE, new SQLString( $zielanbieter ) );
$id2 = safe_query( "select anbieter from anbieter where anbieter = ?  and gesperrt='1'", TRUE, new SQLString( $quellanbieter ) );
if ((db_num_rows($id1) > 0) || (db_num_rows($id2) > 0))
	{
	 $fehlertext = ltext("anku3_error3");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
#/

if (istleer($kunde)) {

if ($maxkundenlimit == 1)
	{
	 ## neukunden ermitteln
	 $id = safe_query( "select count(kunde) as neukunden from kunden where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
	 $werte = db_fetch_array($id);
	 $neukunden = $werte["neukunden"];
	 ## /neukunden ermitteln
	 
	 ## freikunden ermitteln
	 $id = safe_query( "select count(kunde) as freikunden from kunden where anbieter = ? ", TRUE, new SQLString( $zielanbieter ) );
	 $werte = db_fetch_array($id);
	 $freikunden = $maxkunden - $werte["freikunden"];
	 ## /freikunden ermitteln

	 if ($neukunden > $freikunden)
		{
		 $fehlertext = ltext("anku3_error4",array($zielanbieter,$neukunden,$freikunden));
		 db_close();
		 include("anbieter_kundenzuordnung.php");
		 exit();
		}
	}

# checken ob quellanbieter existiert
$id = safe_query( "select anbieter from anbieter where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
if (db_num_rows($id) < 1)
	{
	 $fehlertext = ltext("anku3_error5",array($quellanbieter));
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}

$id = safe_query( "select kunde from kunden where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
if (db_num_rows($id) < 1) 
	{
	 $fehlertext = ltext("anku3_error6",array($quellanbieter));
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
# /checken ob quellanbieter existiert und ob dieser kunden hat

# datenbank updaten
safe_query( "update domains set anbieter = ? , lastchange = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $quellanbieter ) );
safe_query( "update mysql_datenbanken set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update email set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update ftp set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update ipadressen set anbieter = ?  where anbieter = ?  and kunde != ''", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update kunden set anbieter = ? ,pw='1', lastchange = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $quellanbieter ) );
safe_query( "update allgemein set webalizerpw='1'", TRUE );
safe_query( "update pop3 set anbieter = ? , lastchange = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $quellanbieter ) );
safe_query( "update fehlermeldungen set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update pwschutz set anbieter = ? , lastchange = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $quellanbieter ) );
safe_query( "update frontpage set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update perl set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update webalizer set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update autoresponder set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update cssl set anbieter = ?  where anbieter = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $quellanbieter ) );
safe_query( "update transfer set geloescht='1' where anbieter = ? ", TRUE, new SQLString( $quellanbieter ) );
# /datenbank updaten

$fehlertext = ltext("anku3_error7",array($zielanbieter,$quellanbieter));
$fehlertitel = ltext("anku3_errortitle");
db_close();
include("anbieter_kundenzuordnung.php");
exit();

} else {

# checken ob kunde existiert
$id = safe_query( "select kunde from kunden where kunde = ? ", TRUE, new SQLString( $kunde ) );
if (db_num_rows($id) < 1)
	{
	 $fehlertext = ltext("anku3_error8");
	 db_close();
	 include("anbieter_kundenzuordnung.php");
	 exit();
	}
# /checken ob kunde existiert

if ($maxkundenlimit == 1)
	{
	 $neukunden = 1;

	 ## freikunden ermitteln
	 $id = safe_query( "select count(kunde) as freikunden from kunden where anbieter = ? ", TRUE, new SQLString( $zielanbieter ) );
	 $werte = db_fetch_array($id);
	 $freikunden = $maxkunden - $werte["freikunden"];
	 ## /freikunden ermitteln

	 if ($neukunden > $freikunden)
		{
		 $fehlertext = ltext("anku3_error9",array($zielanbieter,$neukunden,$freikunden));
		 db_close();
		 include("anbieter_kundenzuordnung.php");
		 exit();
		}
	}

# datenbank updaten
safe_query( "update domains set anbieter = ? , lastchange = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $kunde ) );
safe_query( "update email set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update ftp set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update ipadressen set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update kunden set anbieter = ? ,pw='1', lastchange = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $kunde ) );
safe_query( "update allgemein set webalizerpw='1'", TRUE );
safe_query( "update pop3 set anbieter = ? , lastchange = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $kunde ) );
safe_query( "update fehlermeldungen set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update pwschutz set anbieter = ? , lastchange = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLInteger( $timestamp ), new SQLString( $kunde ) );
safe_query( "update mysql_datenbanken set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update frontpage set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update perl set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update webalizer set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update autoresponder set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update cssl set anbieter = ?  where kunde = ? ", TRUE, new SQLString( $zielanbieter ), new SQLString( $kunde ) );
safe_query( "update transfer set geloescht='1' where kunde = ? ", TRUE, new SQLString( $kunde ) );
# /datenbank updaten

$fehlertext = ltext("anku3_error10", array($zielanbieter,$kunde,$quellanbieter));
$fehlertitel = ltext("anku3_errortitle");
db_close();
include("anbieter_kundenzuordnung.php");
exit();

db_close();

}

?>
